std::error_condition(3)

NAME
std::error_condition - error_condition

SYNOPSIS

  Public Member Functions
error_condition (int __v, const error_category &__cat) noexcept
template<typename _ErrorConditionEnum , typename = typename enable_if<is_error_condition_enum<_ErrorConditionEnum>::value>::type> error_condition (_ErrorConditionEnum __e) noexcept
void assign (int __v, const error_category &__cat) noexcept
const error_category & category () const noexcept
void clear () noexcept
_GLIBCXX_DEFAULT_ABI_TAG string message () const
operator bool () const noexcept
template<typename _ErrorConditionEnum > enable_if< is_error_condition_enum< _ErrorConditionEnum >::value, error_condition & >::type operator= (_ErrorConditionEnum __e) noexcept
int value () const noexcept

Detailed Description

error_condition

Definition at line 224 of file system_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.